summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDominik Kapusta <ayoy@gentoo.org>2009-10-03 19:29:04 +0000
committerDominik Kapusta <ayoy@gentoo.org>2009-10-03 19:29:04 +0000
commita81ac032fedfe3369597aedf070036136b5421f1 (patch)
treed223dfa60cd113ab87393c38bd742c1a5b24784e /eclass
parentFix docs_gen patch line ( bug 287549 ) (diff)
downloadgentoo-2-a81ac032fedfe3369597aedf070036136b5421f1.tar.gz
gentoo-2-a81ac032fedfe3369597aedf070036136b5421f1.tar.bz2
gentoo-2-a81ac032fedfe3369597aedf070036136b5421f1.zip
Trying to fix bug #282984 in a clean way. Passing system compilers to emake in build_directories()
Diffstat (limited to 'eclass')
-rw-r--r--eclass/qt4-build.eclass6
1 files changed, 4 insertions, 2 deletions
diff --git a/eclass/qt4-build.eclass b/eclass/qt4-build.eclass
index 8ae44a853040..0ab7828207e5 100644
--- a/eclass/qt4-build.eclass
+++ b/eclass/qt4-build.eclass
@@ -1,6 +1,6 @@
# Copyright 2007-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build.eclass,v 1.46 2009/10/02 16:39:41 wired Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build.eclass,v 1.47 2009/10/03 19:29:04 ayoy Exp $
# @ECLASS: qt4-build.eclass
# @MAINTAINER:
@@ -326,7 +326,9 @@ build_directories() {
cd "${S}"/${x}
sed -i -e "s:\$\$\[QT_INSTALL_LIBS\]:/usr/$(get_libdir)/qt4:g" $(find "${S}" -name '*.pr[io]') "${S}"/mkspecs/common/linux.conf || die
"${S}"/bin/qmake "LIBS+=-L${QTLIBDIR}" "CONFIG+=nostrip" || die "qmake failed"
- emake || die "emake failed"
+ emake CC="@echo compiling \$< && $(tc-getCC)" \
+ CXX="@echo compiling \$< && $(tc-getCXX)" \
+ LINK="@echo linking \$@ && $(tc-getCXX)" || die "emake failed"
done
}